/**
 *  Startup-Script for Synesthesia with Workaround for Windows
 *  Unfortunately there is now "sclang.exe" for PsyCollider, the Windows-Version
 *  of SuperCollider. So here we go with the fantastic Windows-Workaround...
 *
 *  WINDOWS WORKAROUND: 
 *  1. Change the path in line 22
 *  2. Start Synesthesia with the synes.bat file.
 *     It will show you a "connecting..." screen
 *  3. Execute the code in the brackets
 *  4. The "connecting..." screen vanishes and the program is ready
 */

// WINDOWS WORKAROUND: Execute the code in the brackets 
(
    var timer = TempoClock.default;
    var recvFrom = NetAddr("127.0.0.1", 57200);
    var sendTo   = NetAddr("127.0.0.1", 57300);
    var mseq;
    
    // WINDOWS WORKAROUND: set your path to Synesthesia here:
    p = "C:/Users/thatsme/synesthesia";
    ("Working dir: " ++ p).postln;
    
    s = Server(\synesServer, clientID: 1);
    
    timer = TempoClock.default;
    timer.tempo = 60/60;
    
    mseq = SynMultiSeq.new(timer, sendTo);

    x = SynesComm(timer, recvFrom, sendTo, mseq);
    
    s.waitForBoot({
      ("Loading synths...").postln;
      thisProcess.interpreter.executeFile(p ++ "/SuperCollider/synths.sc");
      sendTo.sendMsg("/initComplete");
    });
)
